de.vc.jfo.rtf

## Class StylesheetWizard

- java.lang.Object
- - de.vc.jfo.rtf.XMLDirectivesRecognizer
  - - de.vc.jfo.rtf.StylesheetWizard

- All Implemented Interfaces:
    FieldListener

      public class StylesheetWizard
      extends XMLDirectivesRecognizer

  The stylesheet wizard creates a XSL stylsheet from a RTF form.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StylesheetWizard.FieldContextAction`
    `static class` | `StylesheetWizard.FieldInfo`
    `static class` | `StylesheetWizard.FieldValue`

  - ### Field Summary

    - ### Fields inherited from interface de.vc.jfo.rtf.FieldListener

      `FIELD_FILLIN, FIELD_MERGEFIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StylesheetWizard()`
    `StylesheetWizard(java.lang.String rtfFile)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNamespace(java.lang.String prefix, java.lang.String ns)`
    `void` | `clearNamespaces()`
    `void` | `clearValues()` clearValues
    `void` | `createStylesheet(java.io.OutputStream xslOutputStream)`
    `void` | `createStylesheet(java.lang.String xslFile)`
    `void` | `deserializeValues(java.lang.String file)`
    `void` | `fieldEncountered(FieldContext context)` Invoked when a field is encountered by the RTF parser.
    `StylesheetWizard.FieldContextAction` | `getContextAction(java.lang.String keyword, java.lang.Class nodeClass)`
    `java.util.List` | `getFieldContextActions(java.lang.String keyword)`
    `StylesheetWizard.FieldInfo` | `getFieldInfo(java.lang.String keyword)`
    `StylesheetWizard.FieldValue` | `getFieldValue(java.lang.String keyword, boolean createNew)`
    `java.util.Map` | `getNamespaces()`
    `java.lang.String` | `getRTFFile()`
    `java.util.List` | `listRTFKeywords()`
    `void` | `parseFields(java.lang.String rtfFile)`
    `void` | `serializeValues(java.lang.String file)`
    `void` | `setNamespaces(java.util.Map namespaces)`
    `java.io.File` | `suggestXSLFile()`

    - ### Methods inherited from class de.vc.jfo.rtf.XMLDirectivesRecognizer

      `addNamespace, insertPlainNodeElement, isVerifyXMLSyntax, setVerifyXMLSyntax, wrapNode, wrapRTFFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StylesheetWizard

          public StylesheetWizard(java.lang.String rtfFile)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### StylesheetWizard

          public StylesheetWizard()

  - ### Method Detail

    - #### getRTFFile

          public java.lang.String getRTFFile()

    - #### listRTFKeywords

          public java.util.List listRTFKeywords()

    - #### getFieldInfo

          public StylesheetWizard.FieldInfo getFieldInfo(java.lang.String keyword)

    - #### getFieldValue

          public StylesheetWizard.FieldValue getFieldValue(java.lang.String keyword,
                                                  boolean createNew)

    - #### getFieldContextActions

          public java.util.List getFieldContextActions(java.lang.String keyword)

    - #### getContextAction

          public StylesheetWizard.FieldContextAction getContextAction(java.lang.String keyword,
                                                             java.lang.Class nodeClass)

    - #### createStylesheet

          public void createStylesheet(java.lang.String xslFile)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createStylesheet

          public void createStylesheet(java.io.OutputStream xslOutputStream)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### fieldEncountered

          public void fieldEncountered(FieldContext context)

      Description copied from class: `XMLDirectivesRecognizer`
      Invoked when a field is encountered by the RTF parser.
      Specified by:
        `fieldEncountered` in interface `FieldListener`
      Overrides:
        `fieldEncountered` in class `XMLDirectivesRecognizer`
      Parameters:
        `context` - FieldContext

    - #### serializeValues

          public void serializeValues(java.lang.String file)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserializeValues

          public void deserializeValues(java.lang.String file)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### suggestXSLFile

          public java.io.File suggestXSLFile()

    - #### getNamespaces

          public java.util.Map getNamespaces()

    - #### setNamespaces

          public void setNamespaces(java.util.Map namespaces)

    - #### clearNamespaces

          public void clearNamespaces()

    - #### clearValues

          public void clearValues()

      clearValues

    - #### addNamespace

          public void addNamespace(java.lang.String prefix,
                          java.lang.String ns)

    - #### parseFields

          public void parseFields(java.lang.String rtfFile)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.